import type { ConfigArgs, WebpackConfig } from './args';
import { sharedExternals, pluginExternals } from './externals';
export declare function createElectronMainConfig(args: Partial<ConfigArgs>): WebpackConfig;
export declare function createElectronRendererConfig(args: Partial<ConfigArgs>): WebpackConfig;
export declare function createWebConfig(args: Partial<ConfigArgs>): WebpackConfig;
export { sharedExternals, pluginExternals };
export { webpackArgsWithDefaults, isServe } from './args';
export { default as webpack } from 'webpack';
export { merge } from 'webpack-merge';
export { default as WebpackDevServer } from 'webpack-dev-server';
//# sourceMappingURL=index.d.ts.map